### Constructor

# Tracker EndpointHttp new

since: 3.1

#### Declaration [src]

    TrackerEndpointHttp*
    tracker_endpoint_http_new (
      TrackerSparqlConnection* sparql_connection,
      guint port,
      GTlsCertificate* certificate,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets up a Tracker endpoint to listen via HTTP, in the given `port`. If `certificate` is not `NULL`, HTTPS may be used to connect to the endpoint.

Available since: 3.1

#### Parameters

`sparql_connection`

  Type: `TrackerSparqlConnection`

  The `TrackerSparqlConnection` being made public.

  The data is owned by the caller of the function.

`port`

  Type: `guint`

  HTTP port to handle incoming requests.

`certificate`

  Type: `GTlsCertificate`

  Optional `GTlsCertificate` to use for encription.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerEndpointHttp`

A `TrackerEndpointHttp` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.